package com.community.huiju.feign.entity;

import lombok.Data;

/**
 * 同步反控门禁点【V2.8.2】
 */
@Data
public class AcsSyncControl {


    /**
     * type : 厂家
     * sync : {"doorUuid":"门禁UUID","command":"0 常开  1 关门 2 开门 3 常关","openapi_ip_port_http":"服务器地址","secret":"服务器secret","appkey":"服务器appkey","opUserUuid":"服务器操作人员UUID"}
     */

    private String type;
    private SyncBean sync;

    @Data
    public static class SyncBean {
        /**
         * equipmentType : MJ 门禁
         * doorUuid : 门禁UUID
         * command : 0 常开  1 关门 2 开门 3 常关
         * openapi_ip_port_http : 服务器地址
         * secret : 服务器secret
         * appkey : 服务器appkey
         * opUserUuid : 服务器操作人员UUID
         */
        private String equipmentType;
        private String doorUuid;
        private Integer command;
        private String openapi_ip_port_http;
        private String secret;
        private String appkey;
        private String opUserUuid;

    }
}
