package com.community.huiju.feign.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeleteFace {


    /**
     * type : 厂家
     * face : [{"doorPermissions":{"operateType":"2为根据人员-门口机删除权限","personIds":"[人员海康ID...]","secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器地址","opUserUuid":"服务器操作人员UUID","longNums":"门口机(可视对讲)编号"},"doorFace":{"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器地址","opUserUuid":"服务器操作人员UUID","opType":"2表示删除","personIds":"人员海康ID","longNums":"门口机(可视对讲)编号"},"entranceGuardPermissions":{"personIds":"人员海康ID","doorUuids":"门禁点UUID","secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID"},"person":{"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID","personId":"人员海康ID","personNo":"人员海康编号","personName":"人员名称","facePhoto":"人脸图片","cardNo":"卡号"}}]
     */

    private String type;
    private FaceBean face;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class FaceBean {
        /**
         * doorPermissions : {"operateType":"2为根据人员-门口机删除权限","personIds":"[人员海康ID...]","secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器地址","opUserUuid":"服务器操作人员UUID","longNums":"门口机(可视对讲)编号"}
         * doorFace : {"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器地址","opUserUuid":"服务器操作人员UUID","opType":"2表示删除","personIds":"人员海康ID","longNums":"门口机(可视对讲)编号"}
         * entranceGuardPermissions : {"personIds":"人员海康ID","doorUuids":"门禁点UUID","secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID"}
         * person : {"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID","personId":"人员海康ID","personNo":"人员海康编号","personName":"人员名称","facePhoto":"人脸图片","cardNo":"卡号"}
         */

        private DoorPermissionsBean doorPermissions;
        private DoorFaceBean doorFace;
        private EntranceGuardPermissionsBean entranceGuardPermissions;


        @Data
        @AllArgsConstructor
        @NoArgsConstructor
        public static class DoorPermissionsBean {
            /**
             * operateType : 2为根据人员-门口机删除权限
             * personIds : [人员海康ID...]
             * secret : 服务器secret
             * appkey : 服务器appkey
             * openapi_ip_port_http : 服务器地址
             * opUserUuid : 服务器操作人员UUID
             * longNums : 门口机(可视对讲)编号
             */

            private Integer operateType;
            private List<Integer> personIds;
            private String secret;
            private String appkey;
            private String openapi_ip_port_http;
            private String opUserUuid;
            private List<String> longNums;

        }

        @Data
        @AllArgsConstructor
        @NoArgsConstructor
        public static class DoorFaceBean {
            /**
             * secret : 服务器secret
             * appkey : 服务器appkey
             * openapi_ip_port_http : 服务器地址
             * opUserUuid : 服务器操作人员UUID
             * opType : 2表示删除
             * personIds : 人员海康ID
             * longNums : 门口机(可视对讲)编号
             */

            private String secret;
            private String appkey;
            private String openapi_ip_port_http;
            private String opUserUuid;
            private Integer opType;
            private List<Integer> personIds;
            private List<String> longNums;

        }

        @Data
        @AllArgsConstructor
        @NoArgsConstructor
        public static class EntranceGuardPermissionsBean {
            /**
             * personIds : 人员海康ID
             * doorUuids : 门禁点UUID
             * secret : 服务器secret
             * appkey : 服务器appkey
             * openapi_ip_port_http : 服务器操地址
             * opUserUuid : 服务器操作人员UUID
             */

            private String personIds;
            private String secret;
            private String appkey;
            private String openapi_ip_port_http;
            private String opUserUuid;

        }

    }
}
