package com.community.huiju.model;

import java.time.LocalDateTime;
import java.util.Date;

public class TpMessage {
    private Integer id;
    
    /**
     * 小区id
     */
    private Integer communityId;
    
    /**
     * 消息类型
     */
    private String messageType;
    
    /**
     * 通知方式  1：短信消息   2：论坛消息 3：物业消息  4： 工单消息  5:其他消息  6:系统消息
     */
    private String adviceType;
    
    /**
     * 模板类型 1 是消息模板 2是待办模板
     */
    private String modelType;
    
    /**
     * 接收人id
     */
    private Integer uuid;
    
    /**
     * 接收人id的类型  1是app用户 2是物业端用户
     */
    private String uuidType;
    
    /**
     * 来源 1 是app端  2是物业端
     */
    private String source;
    
    /**
     * 消息内容
     */
    private String messageContent;
    
    /**
     * 状态 1 是有效 0是无效
     */
    private String status;
    
    /**
     * 推送结果
     */
    private String result;
    
    /**
     * 事件类型表的id 预留字段
     */
    private String meaasgeTypeId;
    
    /**
     * 阅读状态 0 是未读  1是已读
     */
    private String readStatus;
    
    /**
     * 创建人
     */
    private Integer createUser;
    
    /**
     * 创建时间
     */
    private Date createDate;
    
    /**
     * 更新人
     */
    private Integer updateUser;
    
    /**
     * 更新时间
     */
    private Date updateDate;
    
    /**
     * 跳转的消息详情id
     */
    private Integer messageUuid;
    
    private String readMessageIcon;
    
    private String unreadMessageIcon;
    
    private String messageDetailUrl;
    
    private String messageIconTitle;
    
    private String ticketStatus;
    
    private String content;
    /**
     * 需要跳转的消息的类型
     */
    private String messageUuidType;

    /**
     * 工单类型
     * @return
     */
    private String ticketType;

    public String getTicketType() {
        return ticketType;
    }

    public void setTicketType(String ticketType) {
        this.ticketType = ticketType;
    }

    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getCommunityId() {
        return communityId;
    }
    
    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }
    
    public String getMessageType() {
        return messageType;
    }
    
    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }
    
    public String getAdviceType() {
        return adviceType;
    }
    
    public void setAdviceType(String adviceType) {
        this.adviceType = adviceType;
    }
    
    public String getModelType() {
        return modelType;
    }
    
    public void setModelType(String modelType) {
        this.modelType = modelType;
    }
    
    public Integer getUuid() {
        return uuid;
    }
    
    public void setUuid(Integer uuid) {
        this.uuid = uuid;
    }
    
    public String getUuidType() {
        return uuidType;
    }
    
    public void setUuidType(String uuidType) {
        this.uuidType = uuidType;
    }
    
    public String getSource() {
        return source;
    }
    
    public void setSource(String source) {
        this.source = source;
    }
    
    public String getMessageContent() {
        return messageContent;
    }
    
    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }
    
    public String getStatus() {
        return status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }
    
    public String getResult() {
        return result;
    }
    
    public void setResult(String result) {
        this.result = result;
    }
    
    public String getMeaasgeTypeId() {
        return meaasgeTypeId;
    }
    
    public void setMeaasgeTypeId(String meaasgeTypeId) {
        this.meaasgeTypeId = meaasgeTypeId;
    }
    
    public String getReadStatus() {
        return readStatus;
    }
    
    public void setReadStatus(String readStatus) {
        this.readStatus = readStatus;
    }
    
    public Integer getCreateUser() {
        return createUser;
    }
    
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }
    
    
    public Integer getUpdateUser() {
        return updateUser;
    }
    
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }
    
    public Date getCreateDate() {
        return createDate;
    }
    
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    
    public Date getUpdateDate() {
        return updateDate;
    }
    
    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
    
    public Integer getMessageUuid() {
        return messageUuid;
    }
    
    public void setMessageUuid(Integer messageUuid) {
        this.messageUuid = messageUuid;
    }
    
    public String getMessageUuidType() {
        return messageUuidType;
    }
    
    public void setMessageUuidType(String messageUuidType) {
        this.messageUuidType = messageUuidType;
    }
    
    public String getReadMessageIcon() {
        return readMessageIcon;
    }
    
    public void setReadMessageIcon(String readMessageIcon) {
        this.readMessageIcon = readMessageIcon;
    }
    
    public String getUnreadMessageIcon() {
        return unreadMessageIcon;
    }
    
    public void setUnreadMessageIcon(String unreadMessageIcon) {
        this.unreadMessageIcon = unreadMessageIcon;
    }
    
    public String getMessageDetailUrl() {
        return messageDetailUrl;
    }
    
    public void setMessageDetailUrl(String messageDetailUrl) {
        this.messageDetailUrl = messageDetailUrl;
    }
    
    public String getMessageIconTitle() {
        return messageIconTitle;
    }
    
    public void setMessageIconTitle(String messageIconTitle) {
        this.messageIconTitle = messageIconTitle;
    }
    
    public String getTicketStatus() {
        return ticketStatus;
    }
    
    public void setTicketStatus(String ticketStatus) {
        this.ticketStatus = ticketStatus;
    }
    
    public String getContent() {
        return content;
    }
    
    public void setContent(String content) {
        this.content = content;
    }
}