package com.community.huiju.service;


import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.*;
import org.springframework.web.multipart.MultipartFile;

public interface FaceServiceI {
    /**
     * 添加人脸
     * @param userElement 登入人ID
     *  @param  uploadFile
     *  @param otherUserId 关联家属或者租客ID
     * @return
     */
    ResponseBean addFace(UserElement userElement, MultipartFile uploadFile,Integer otherUserId);

    /**
     * 更新当前人脸
     * @param userElement 登入人ID
     *  @param  uploadFile
     *  @param otherUserId 关联家属或者租客ID
     * @return
     */
    ResponseBean upDateFace(UserElement userElement, MultipartFile uploadFile,Integer otherUserId);

    /**
     * 当前登入人是否有人脸信息
     * @param userElement
     * @param otherUserId
     * @return
     */
    ResponseBean getTaFaceByUserId(UserElement userElement,Integer otherUserId);

    /**
     * 迎宾人员 添加人脸
     * @param uploadFile
     * @param user
     * @return
     */
    ResponseBean addWelcomeFace(MultipartFile uploadFile, TaUser user);

    /**
     * 删除人脸
     * @param userElement
     * @param otherUserId
     * @return
     */
    ResponseBean deleteFace(UserElement userElement, Integer otherUserId,Integer verifyId);

    /**
     * 人脸操作 下发，在用户审核通过后，如果有人脸就直接推送
     * @param userVerifyId
     * @return
     */
    ResponseBean updateFaceInVerify(Integer userVerifyId);
}
