package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 公共设备方法
 */
public interface IEquipmentService {

    /**
     * 推送人员
     * @param tpEquipmentTree
     * @param unitHkSetting
     * @param user
     * @param taUserHk
     * @return
     */
    String pushPerson(TpEquipmentTree tpEquipmentTree, TpUnitHkSetting unitHkSetting, TaUser user, TaUserHk taUserHk, Integer expirationTime);

    /**
     * 添加人脸
     * @param faceImg 文件流
     * @param unitHkSetting
     * @param tpEquipmentTree
     * @param taUserHk
     * @param userVerify
     * @param user
     * @param visualList
     * @param doorUuids 门禁点UUID
     * @param deviceUuids 门禁设备UUID
     * @return
     */
    String addFace(MultipartFile faceImg, TpUnitHkSetting unitHkSetting, TpEquipmentTree tpEquipmentTree,
                   TaUserHk taUserHk, TaUserVerify userVerify, TaUser user, List<String> visualList,
                   String doorUuids, String deviceUuids);


    /**
     * 修改人脸
     * @param faceImg 文件流
     * @param unitHkSetting
     * @param tpEquipmentTree
     * @param taUserHk
     * @param userVerify
     * @param user
     * @param visualList
     * @param deviceUuids 门禁设备UUID
     * @return
     */
    String updateFace(MultipartFile faceImg, TpUnitHkSetting unitHkSetting, TpEquipmentTree tpEquipmentTree,
                      TaUserHk taUserHk, TaUserVerify userVerify, TaUser user, List<String> visualList,
                      String doorUuids, String deviceUuids);

    /**
     * 删除人脸
     * @param unitHkSetting
     * @param tpEquipmentTree
     * @param taUserHk
     * @param userVerify
     * @param user
     * @param visualList
     * @param deviceUuids
     * @return
     */
    String deleteFace(TpUnitHkSetting unitHkSetting, TpEquipmentTree tpEquipmentTree,
                      TaUserHk taUserHk, TaUserVerify userVerify, TaUser user, List<String> visualList,
                      String deviceUuids);

    /**
     * 访客邀请
     * @param visitorName 姓名
     * @param phoneNo 手机号
     * @param personNum  人员数量
     * @param startTime 访问开始时间
     * @param endTime 访问结束时间
     * @param personId 人员海康ID
     * @param tpEquipmentTree
     * @return
     */
    String temporaryRegister(String visitorName, String phoneNo,Integer personNum,Long startTime,Long endTime,Integer personId, TpEquipmentTree tpEquipmentTree);

    /**
     * 异步反控开门  可视对讲
     *
     * @param longNums 设备UUID
     * @param device KSDJ  可视对讲  (从数据库查询)
     * @return
     */
    String syncControl(String longNums, String factory, TpEquipmentTree tpEquipmentTree, String device);


    /**
     * 删除人员
     *
     * @return
     */
    String deletePerson(TaUserHk userHk, TpEquipmentTree tpEquipmentTree);

    /**
     * 同步反控门禁点【V2.8.2】(考勤机/门禁)
     * @param doorUuid
     * @param factory
     * @param tpEquipmentTree
     * @param command
     * @param device MJ  门禁  (从数据库查询)
     * @return
     */
    String acsSyncControl(String doorUuid, String factory, TpEquipmentTree tpEquipmentTree, Integer command, String device);
}
