package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

import java.util.Map;

public interface MessageServiceI {
	/**
	 * 获取消息数量
	 * @param communityId
	 * @return
	 */
	Map<String, Object> getMessageTotal(Integer communityId, Integer verifyId);
	
	/**
	 * 分页获取消息或待办
	 * @param communityId
	 * @param pageNum
	 * @param pageSize
	 * @param modelType
	 * @return
	 */
	Map<String,Object> getMessages(Integer communityId, Integer pageNum, Integer pageSize,Integer modelType, Integer verifyId);

	/**
	 * 全部已读
	 */
	void updateMessageReadStatus(Integer communityId, Integer userId);

	/**
	 * 根据消息的id, 进行已读操作
	 * @param userElement
	 * @param messageId
	 * @return
	 */
	ResponseBean updateMessageByIdReadStatus(UserElement userElement, Integer messageId);


	/**
	 * app举报话题推消息
	 * @param paramsMap
	 */
	void threadReport(Map<String, Object> paramsMap);

	/**
	 * app个人管理中心推消息
	 * 话题作废
	 * @param paramsMap
	 */
	void threadCancelled(Map<String, Object> paramsMap);

	/**
	 * app个人管理中心推消息
	 * 工单被拒绝受理
	 * @param paramsMap
	 */
	void ticketRejected(Map<String, Object> paramsMap);

	/**
	 * app个人管理中心推消息
	 * 工单被分配
	 * @param paramsMap
	 */
	void ticketDistributed(Map<String, Object> paramsMap);

	/**
	 * app个人管理中心推消息
	 * 工单被提交处理结果
	 * @param paramsMap
	 */
	void ticketSubmitResult(Map<String, Object> paramsMap);

	/**
	 * app个人管理中心推消息
	 * 工单被回复
	 * @param paramsMap
	 */
	void ticketReply(Map<String, Object> paramsMap);

	/**
	 * 家属和租客提交审核信息
	 * @param paramsMap
	 */
	void customerSubmitVerify(Map<String, Object> paramsMap);
	
	/**
	 * 根据消息ID 查询详情数据
	 * @param communityId
	 * @param messageId
	 * @return
	 */
	ResponseBean getMessageById(Integer communityId, Integer messageId);

	/**app个人管理话题——>app
	 * 帖子回复推消息
	 * @param paramsMap
	 */
	void threadReply(Map<String, Object> paramsMap);

	/**
	 * 房屋成员中心审核通过
	 * @param paramsMap
	 */
    void estateRelateVerifyPassed(Map<String, Object> paramsMap);

	/**
	 * 房屋成员中心审核不通过
	 * @param paramsMap
	 */
	void estateRelateVerifyRejected(Map<String, Object> paramsMap);

	/**
	 * 推送15条消息
	 * @param paramsMap
	 */
    void systemMessage(Map<String, Object> paramsMap);

	/**
	 * 业主/家属/租客提交审核时推送物业端
	 * @param paramsMap
	 */
	void customerSubmitPropVerify(Map<String, Object> paramsMap);

	/**
	 * 活动报名成功推物业
	 * @param paramsMap
	 */
    void estateServiceActivitySignSuccess(Map<String, Object> paramsMap);

	/**
	 * 添加帖子成功时推物业端
	 * @param paramsMap
	 */
	void threadAddTransaction(Map<String, Object> paramsMap);

	/**
	 * 话题被举报推物业消息
	 * @param paramsMap
	 */
	void threadReportProp(Map<String, Object> paramsMap);

	/**
	 * 话题修改时推物业消息
	 * @param paramsMap
	 */
	void threadUpdateTransaction(Map<String, Object> paramsMap);

	/**
	 * 工单添加时推送消息
	 * @param paramsMap
	 */
	void ticketAdd(Map<String, Object> paramsMap);

	/**
	 * 工单终止推物业
	 * @param paramsMap
	 */
	void ticketTermination(Map<String, Object> paramsMap);

	/**
	 * 工单修改时推物业
	 * @param paramsMap
	 */
	void ticketUpdate(Map<String, Object> paramsMap);

	/**
	 * 缴费成功时推物业
	 * @param paramsMap
	 */
	void payTypeSucceed(Map<String, Object> paramsMap);

	/**
	 * 月租车缴费推物业
	 * @param paramsMap
	 */
	void payMonthBillSucceed(Map<String, Object> paramsMap);

	/**
	 * 商铺评价时推物业
	 * @param paramsMap
	 */
	void shopReviewPropReply(Map<String, Object> paramsMap);

	/**
	 * 工单回复app推物业
	 * @param paramsMap
	 */
    void ticketReplyProp(Map<String, Object> paramsMap);

	/**
	 * 工单app评价物业
	 * @param paramsMap
	 */
	void ticketEvaluateProp(Map<String, Object> paramsMap);

	/**
	 * 消息已读app调用
	 * @param userElement
	 * @param messageId
	 * @return
	 */
	ResponseBean messageReadStatus(UserElement userElement, Integer messageId);
}
