package com.community.huiju.lisenter;

import com.community.commom.constant.Constant;
import com.community.huiju.event.MessageEvent;
import com.community.huiju.service.IMessageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

/**
 * @author FXF
 * @date 2019-07-30
 */

@Component
@Slf4j
public class MessageLisenter {
	
	@Autowired
	private IMessageService messageService;
	/**
	 * 推送消息
	 * @param event
	 */
	@EventListener
	public void pushMessage(MessageEvent event) {
		log.info("======推送消息======");
		switch (event.getType()){
			case Constant.ESTATE_RELATE_VERIFY_PASSED:
				messageService.estateRelateVerifyPassed(event.getParamsMap());
				break;
			case Constant.ESTATE_RELATE_VERIFY_REJECTED:
				messageService.estateRelateVerifyRejected(event.getParamsMap());
				break;
			case Constant.ESTATE_SERVICE_ANNOUNCEMENT_SUCCESS:
				messageService.estateServiceAnnouncementSuccess(event.getParamsMap());
				break;
			case Constant.ESTATE_SERVICE_ACTIVITY_SUCCESS:
				messageService.estateServiceActivitySuccess(event.getParamsMap());
				break;
			case Constant.THREAD_REPLY:
				messageService.threadReply(event.getParamsMap());
				break;
			case Constant.THREAD_REPORT:
				//丁鑫
				break;
			case Constant.ACTIVITY_JOINED_DELETE_BY_ESTATE_SERVICE:
				messageService.ctivityJoinedDeleteByEstateService(event.getParamsMap());
				break;
			case Constant.ACTIVITY_CANCELLED:
				messageService.activityCancelled(event.getParamsMap());
				break;
			case Constant.THREAD_CANCELLED:
				messageService.threadCancelled(event.getParamsMap());
				break;
			case Constant.PUBLISH_BILL:
				messageService.publishBill(event.getParamsMap());
				break;
			case Constant.TICKET_REJECTED:
				messageService.ticketRejected(event.getParamsMap());
				break;
			case Constant.TICKET_DISTRIBUTED:
				messageService.ticketDistributed(event.getParamsMap());
				break;
			case Constant.TICKET_SUBMIT_RESULT:
				messageService.ticketSubmitResult(event.getParamsMap());
				break;
			case Constant.TICKET_REPLY:
				messageService.ticketReply(event.getParamsMap());
				break;
			case Constant.SHOP_REVIEW_REPLY:
				messageService.shopReviewReply(event.getParamsMap());
				break;
			case Constant.CUSTOMER_SUBMIT_VERIFY:
				messageService.customerSubmitVerify(event.getParamsMap());
				break;
			case Constant.SYSTEM_MESSAGE:
				messageService.systemMessage(event.getParamsMap());
				break;
			default:
				break;
		}
		
	}
}
