package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.Message;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 物业端消息表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-05
 */
public interface IMessageService extends IService<Message> {
    /**
     * 查询消息待办列表
     * @param parameter
     * @param communityId
     * @return
     */
    ResponseBean messageLiset(String parameter, Integer communityId,Integer userID);

    /**
     * 查询关于我的所有消息
     * @param parameter
     * @param communityId
     * @param id
     * @return
     */
    ResponseBean myMessageList(String parameter, Integer communityId, Integer id);

    /**
     * 批量删除（已读）
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean delectRead(String parameter, Integer id);
    
    /**
     * 房产关联审核通过
     * @param paramsMap
     */
	void estateRelateVerifyPassed(Map<String, Object> paramsMap);
    
    void estateServiceAnnouncementSuccess(Map<String, Object> paramsMap);
    
    void estateServiceActivitySuccess(Map<String, Object> paramsMap);
    
    void threadReply(Map<String, Object> paramsMap);
    
    /**
     * 房产关联审核不通过
     * @param paramsMap
     */
    void estateRelateVerifyRejected(Map<String, Object> paramsMap);

    /**
     * 活动报名后被物业后台删除
     * @param paramsMap
     */
    void ctivityJoinedDeleteByEstateService(Map<String, Object> paramsMap);

    /**
     * 活动作废
     * @param paramsMap
     */
    void activityCancelled(Map<String, Object> paramsMap);

    /**
     * 话题被作废
     * @param paramsMap
     */
    void threadCancelled(Map<String, Object> paramsMap);

    /**
     * 工单被拒绝
     */
    void ticketRejected(Map<String, Object> paramsMap);

    /**
     * 工单被分配推消息
     * @param paramsMap
     */
    void ticketDistributed(Map<String, Object> paramsMap);

    /**
     * 工单提交处理结果
     * @param paramsMap
     */
    void ticketSubmitResult(Map<String, Object> paramsMap);

    /**
     * 回复工单 物业—> app
     * @param paramsMap
     */
    void ticketReply(Map<String, Object> paramsMap);

    /**
     * 商家回复
     */
    void shopReviewReply(Map<String, Object> paramsMap);

    /**
     * 房产审核
     * @param paramsMap
     */
    void customerSubmitVerify(Map<String, Object> paramsMap);

    /**
     * 收费组推消息
     * @param paramsMap
     */
    void publishBill(Map<String, Object> paramsMap);

    /**
     * 推送15条消息
     * @param paramsMap
     */
    void systemMessage(Map<String, Object> paramsMap);
}
